<?php
/**
 * @copyright 2024 Double Bastion LLC <www.doublebastion.com>
 *
 * @author Double Bastion LLC
 *
 * @license GNU AGPL version 3 or any later version
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU AFFERO GENERAL PUBLIC LICENSE for more details.
 *
 * You should have received a copy of the GNU Affero General Public
 * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

session_start();

if ($_SESSION['loggedtorspanel'] == true) {

 $int = exec("ip addr | awk '/state UP/ {print $2}' | sed 's/.$//'");

 $transmitted = file_get_contents("/sys/class/net/".$int."/statistics/tx_bytes");
 $received = file_get_contents("/sys/class/net/".$int."/statistics/rx_bytes");

 $netuse = [];
 $netuse['transmit'] = round(intval($transmitted) / 1024, 2);
 $netuse['receive'] = round(intval($received) / 1024, 2);

 echo json_encode($netuse);

} else {
      header("Location: panel-login.php");
}

?>
